Bug 873782 - RFE: Non-authenticated status api
RFE: Non-authenticated status api
Product: Pulp
Classification: Community
Component: API/integration (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.1.0
Assigned To: Jason Connor
Preethi Thomas
: Triaged
Depends On:
Blocks: katello-v2-pulp
  Show dependency treegraph
Reported: 2012-11-06 12:09 EST by Justin Sherrill
Modified: 2014-03-30 21:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-04-08 11:58:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2012-11-06 12:09:41 EST
Description of problem:

In katello we had 2 ways of checking pulp's status.

1)  /services/status/

2) Access any authenticated rest call (we used GET /users)

This allowed us to determine if pulp was up and if we could authenticate with it successfully.

In pulpv2  the un-authenticated status api went away.  So we now can only determine if we can fully authenticate or not.
Comment 1 Jason Connor 2013-02-27 16:32:59 EST
I added a non-authenticated status resource at /v2/status/
Pull request is in jconnor-873782-rfe-unauthenticated-status-api
Comment 2 Jeff Ortel 2013-03-14 17:15:39 EDT
build: 2.1.0-0.23.beta
Comment 3 Jason Connor 2013-04-01 11:53:01 EDT
This added a /pulp/api/v2/status/ "collection" that responds to GET requests.

GET /pulp/api/v2/status/

should return 

{'api_version': '2'}
Comment 4 Preethi Thomas 2013-04-01 13:15:44 EDT
[root@cloud-qe-8 ~]# rpm -q pulp-server
[root@cloud-qe-8 ~]# curl -k -u admin:admin   "https://localhost//pulp/api/v2/status/"
{"api_version": "2"}[root@cloud-qe-8 ~]#
Comment 5 Preethi Thomas 2013-04-08 11:58:34 EDT
Pulp 2.1 released 


Note You need to log in before you can comment on or make changes to this bug.